# -*- coding: utf-8 -*-
from setuphelpers import *

uninstall_path = makepath(systemdrive, "DosBox-X", "unins000.exe")


def install():
    bin_name = glob.glob("dosbox-x-winXP-*-setup.exe")[0]
    install_exe_if_needed(bin_name, silentflags="/VERYSILENT /SP- /SUPPRESSMSGBOXES", min_version=control.get_software_version())


def uninstall():
    run(uninstall_path + " /VERYSILENT")
